
TYPO3.Neos - Task # 10284

Bug # 10733 (Closed): As a backend user, I want a clean visual design for the whole UI

Status: Resolved Priority: Should have
Author: Sebastian Kurfuerst Category:
Created: 2010-10-16 Assigned To: Sebastian Kurfuerst
Updated: 2012-08-31 Due date:
Subject: Create and maintain the "Guideline for design Implementation"
Description

make sure it is consistent, everything is included, etc.

Related issues:
related to TYPO3.Neos - Task # 10272: Render Design Implementation Guideline ... Resolved
follows TYPO3.Neos - Task # 10271: Create empty design implementation guideli... Resolved

History
#1 - 2010-10-16 10:46 - Sebastian Kurfuerst
- Target version set to 707

#2 - 2010-10-17 17:43 - Sebastian Kurfuerst
- File DesignImplementorsGuide.xml added

first draft

#3 - 2010-10-17 18:00 - Sebastian Kurfuerst
- Status changed from New to Accepted
- % Done changed from 0 to 10

#4 - 2010-10-18 11:48 - Karsten Dambekalns

I would love to see all CGL stuff in one document, i.e. PHP, JS, CSS should be in the same place. We could extract the CGL from the FLOW3 manual
and give it a more distinct status - seems to make sense.

#5 - 2010-10-18 12:06 - Nils Dehl

Karsten Dambekalns wrote:

I would love to see all CGL stuff in one document, i.e. PHP, JS, CSS should be in the same place. We could extract the CGL from the FLOW3
manual and give it a more distinct status - seems to make sense.

good idea, maybe we can than have one abstract part for all file types which describes things like line endings, formatting (spaces, tabs) ..., instead of
having the same information on 3 places

#6 - 2010-10-20 12:22 - Sebastian Kurfuerst
- Target version changed from 707 to 711
#7 - 2010-10-21 09:55 - Sebastian Kurfuerst
- Parent task set to #8797

#8 - 2010-10-25 17:37 - Sebastian Kurfuerst
- Status changed from Accepted to New

#9 - 2010-10-26 13:36 - Sebastian Kurfuerst
- Status changed from New to Accepted

#10 - 2010-10-27 10:08 - Sebastian Kurfuerst
- File deleted (DesignImplementorsGuide.xml)

#11 - 2010-10-27 10:09 - Sebastian Kurfuerst
- File userInterfaceDevelopment.pdf added
- % Done changed from 10 to 30

attached is the first version of the guide.

#12 - 2010-11-04 14:50 - Sebastian Kurfuerst
- Status changed from Accepted to New

#13 - 2010-11-11 16:39 - Sebastian Kurfuerst
- Status changed from New to Needs Feedback

#14 - 2010-11-24 12:40 - Robert Lemke
- Parent task changed from #8797 to #11041

#15 - 2010-11-24 13:06 - Robert Lemke
- Parent task changed from #11041 to #10733

#16 - 2011-01-06 14:48 - Sebastian Kurfuerst
- Status changed from Needs Feedback to Resolved

Files
userInterfaceDevelopment.pdf 122.1 kB 2010-10-27 Sebastian Kurfuerst

2015-08-03 2/2


